local exports = exports or {}
local FixedPosition = FixedPosition or {}
FixedPosition.__index = FixedPosition
function FixedPosition.new(construct, ...)
    local self = setmetatable({}, FixedPosition)
    self.kind = "fixed"
    if construct and FixedPosition.constructor then FixedPosition.constructor(self, ...) end
    return self
end
function FixedPosition.constructor(self,x,y)
    if x==nil then x=200 end
    if y==nil then y=100 end
    self.x = x;
    self.y = y;
end
local AnchoredPosition = AnchoredPosition or {}
AnchoredPosition.__index = AnchoredPosition
function AnchoredPosition.new(construct, ...)
    local self = setmetatable({}, AnchoredPosition)
    self.kind = "anchored"
    if construct and AnchoredPosition.constructor then AnchoredPosition.constructor(self, ...) end
    return self
end
function AnchoredPosition.constructor(self,x,y)
    if x==nil then x="left" end
    if y==nil then y="top" end
    self:setX(x);
    self:setY(y);
end
function AnchoredPosition.setX(self,x)
    -------Switch statement start-------
    local ____switch0 = x
    if "left" == ____switch0 then
        goto ____switch0_case_0
    end
    if "center" == ____switch0 then
        goto ____switch0_case_1
    end
    if "right" == ____switch0 then
        goto ____switch0_case_2
    end

    goto ____switch0_end

    ::____switch0_case_0::
    do
        self.x = 0;
    end
    ::____switch0_case_1::
    do
        self.x = 0.5;
    end
    ::____switch0_case_2::
    do
        self.x = 1;
    end
    ::____switch0_end::
    -------Switch statement end-------
end
function AnchoredPosition.setY(self,y)
    -------Switch statement start-------
    local ____switch1 = y
    if "top" == ____switch1 then
        goto ____switch1_case_0
    end
    if "center" == ____switch1 then
        goto ____switch1_case_1
    end
    if "bottom" == ____switch1 then
        goto ____switch1_case_2
    end

    goto ____switch1_end

    ::____switch1_case_0::
    do
        self.x = 0;
    end
    ::____switch1_case_1::
    do
        self.x = 0.5;
    end
    ::____switch1_case_2::
    do
        self.x = 1;
    end
    ::____switch1_end::
    -------Switch statement end-------
end
local LayoutPosition = LayoutPosition or {}
LayoutPosition.__index = LayoutPosition
function LayoutPosition.new(construct, ...)
    local self = setmetatable({}, LayoutPosition)
    self.kind = "layout"
    if construct and LayoutPosition.constructor then LayoutPosition.constructor(self, ...) end
    return self
end
function LayoutPosition.constructor(self)
end
exports.FixedPosition = FixedPosition
exports.AnchoredPosition = AnchoredPosition
exports.LayoutPosition = LayoutPosition
return exports
