local exports = exports or {}
local position0 = require("src.frame.position")
local FixedPosition = position0.FixedPosition
local size1 = require("src.frame.size")
local Size = size1.Size
local Window = Window or {}
Window.__index = Window
function Window.new(construct, ...)
    local self = setmetatable({}, Window)
    self.kind = "window"
    if construct and Window.constructor then Window.constructor(self, ...) end
    return self
end
function Window.constructor(self,width,height)
    self.globalPosition = FixedPosition.new(true,0,0);
    self.size = Size.new(true,width,height);
end
exports.Window = Window
return exports
