local exports = exports or {}
local Color = Color or {}
Color.__index = Color
function Color.new(construct, ...)
    local self = setmetatable({}, Color)
    if construct and Color.constructor then Color.constructor(self, ...) end
    return self
end
function Color.constructor(self,r,g,b)
    self.r = r;
    self.g = g;
    self.b = b;
end
local Colors = {["White"] = Color.new(true,1,1,1),["Red"] = Color.new(true,1,0,0),["Green"] = Color.new(true,0,1,0),["Blue"] = Color.new(true,0,0,1),["Black"] = Color.new(true,0,0,0),["Gray"] = Color.new(true,0.5,0.5,0.5)};
exports.Color = Color
exports.Colors = Colors
return exports
