local exports = exports or {}
local frame0 = require("src.frame.frame")
local PaintFunction = frame0.PaintFunction
local function ImagePainter(i)
    local img_w = i:getWidth();
    local img_h = i:getHeight();
    return function(x,y,width,height)
        love.graphics.setColor(1,1,1,1);
        love.graphics.draw(i,x,y,0,width/img_w,height/img_h);
    end

end
exports.ImagePainter = ImagePainter
return exports
