local exports = exports or {}
local frame0 = require("src.frame.frame")
local PaintFunction = frame0.PaintFunction
local color1 = require("src.painter.color")
local Color = color1.Color
local function LabelPainter(txt,c,mode)
    if mode==nil then mode="justify" end
    return function(x,y,width,height)
        love.graphics.setColor(c.r,c.g,c.b,1);
        love.graphics.printf(txt,x,y+(height/2),width,mode);
    end

end
exports.LabelPainter = LabelPainter
return exports
