local exports = exports or {}
local NoChildLayout = NoChildLayout or {}
NoChildLayout.__index = NoChildLayout
function NoChildLayout.new(construct, ...)
    local self = setmetatable({}, NoChildLayout)
    self.kind = "NoChildLayout"
    if construct and NoChildLayout.constructor then NoChildLayout.constructor(self, ...) end
    return self
end
function NoChildLayout.constructor(self)
end
local ColumnLayout = ColumnLayout or {}
ColumnLayout.__index = ColumnLayout
function ColumnLayout.new(construct, ...)
    local self = setmetatable({}, ColumnLayout)
    self.kind = "ColumnLayout"
    if construct and ColumnLayout.constructor then ColumnLayout.constructor(self, ...) end
    return self
end
function ColumnLayout.constructor(self,s)
    if s==nil then s=0 end
    self.spacing = s;
end
local RowLayout = RowLayout or {}
RowLayout.__index = RowLayout
function RowLayout.new(construct, ...)
    local self = setmetatable({}, RowLayout)
    self.kind = "RowLayout"
    if construct and RowLayout.constructor then RowLayout.constructor(self, ...) end
    return self
end
function RowLayout.constructor(self,s)
    if s==nil then s=0 end
    self.spacing = s;
end
local GridLayout = GridLayout or {}
GridLayout.__index = GridLayout
function GridLayout.new(construct, ...)
    local self = setmetatable({}, GridLayout)
    self.kind = "GridLayout"
    if construct and GridLayout.constructor then GridLayout.constructor(self, ...) end
    return self
end
function GridLayout.constructor(self,c,s)
    if c==nil then c=1 end
    if s==nil then s=0 end
    self.spacing = s;
    self.col = c;
    if self.col<1 then
        self.col = 1;
    end
end
exports.NoChildLayout = NoChildLayout
exports.ColumnLayout = ColumnLayout
exports.RowLayout = RowLayout
exports.GridLayout = GridLayout
return exports
