local exports = exports or {}
local frame0 = require("src.frame.frame")
local PaintFunction = frame0.PaintFunction
local function NinePatchPainter(i,left,right,top,bottom)
    local img_w = i:getWidth();
    local img_h = i:getHeight();
    local curr_w = img_w;
    local curr_h = img_h;
    local coord = {{0,left,img_w-right,img_w},{0,top,img_h-bottom,img_h}};
    local batch = love.graphics.newSpriteBatch(i,9);
    return function(x,y,width,height)
        if (curr_w~=width) or (curr_h~=height) then
            local proj = {{0,left,width-right,width},{0,top,height-bottom,height}};
            batch:clear();
            local i = 0
            while(i<3) do
                do
                    local j = 0
                    while(j<3) do
                        do
                            batch:add(love.graphics.newQuad(coord[(0)+1][(i)+1],coord[(1)+1][(j)+1],coord[(0)+1][(i+1)+1]-coord[(0)+1][(i)+1],coord[(1)+1][(j+1)+1]-coord[(1)+1][(j)+1],img_w,img_h),proj[(0)+1][(i)+1],proj[(1)+1][(j)+1],0,(proj[(0)+1][(i+1)+1]-proj[(0)+1][(i)+1])/(coord[(0)+1][(i+1)+1]-coord[(0)+1][(i)+1]),(proj[(1)+1][(j+1)+1]-proj[(1)+1][(j)+1])/(coord[(1)+1][(j+1)+1]-coord[(1)+1][(j)+1]));
                        end
                        ::__continue1::
                        j = (j+1)
                    end
                end
                ::__continue0::
                i = (i+1)
            end
            curr_w = width;
            curr_h = height;
        end
        love.graphics.setColor(1,1,1,1);
        love.graphics.draw(batch,x,y);
    end

end
exports.NinePatchPainter = NinePatchPainter
return exports
